Issue an actor token

Issues a mind-scoped actor token for use by a trusted backend when calling `/v1/messages`. The project bearer key authorizes this issuance; keep the returned token secret.

POST/v1/actor-tokens

Authorization

bearerAuth
AuthorizationBearer <token>

A project-scoped API key. Store it only on a trusted backend.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/actor-tokens" \  -H "Content-Type: application/json" \  -d '{    "mind_id": "mind_example",    "actor_id": "user_123"  }'
{  "actor_token": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}